const sequelize = require("../sequelize/index");
const Employee = sequelize.models.employee;

const loginForm = async (req, res, next) => {
    try {
        res.render("login");
    } catch (err) {
        next(err);
    }
};

const login = async (req, res, next) => {
    try {
        const username = req.body.username;
        const password = req.body.password;

        if (!username || !password) {
            res.locals.authenticationError = {
                msg: "Invalid username or password."
            };
            return res.render("login");
        }

        const user = await Employee.findOne({
            where: {
                username: username
            }
        });

        if (!user) {
            res.locals.authenticationError = { msg: "Incorrect username." };
            return res.render("login");
        }
        if (password != user.password) {
            res.locals.authenticationError = { msg: "Incorrect password." };
            return res.render("login");
        }
        if (!user.isActive) {
            res.locals.authenticationError = { msg: "Not an active employee." };
            return res.render("login");
        }

        req.session.user = { username: user.username };
        res.redirect("/");
    } catch (err) {
        next(err);
    }
};

const logout = async (req, res, next) => {
    try {
        req.session.destroy(() => {
            res.redirect("/");
        });
    } catch (err) {
        next(err);
    }
};

module.exports = {
    loginForm,
    login,
    logout
};
