function checkUserIsAuthenticated(req, res, next) {
    res.set("Cache-Control", "no-store"); //stop browser from caching so that user can't e.g. click the back button after logging out and access pages. Forces page reload each time

    if (req.session.user) {
        res.locals.username = req.session.user.username;
        if (req.url == "/login") {
            return res.redirect("/");
        }
        return next();
    } else if (req.url == "/login") {
        return next();
    }

    return res.redirect("/login");
}

module.exports = { checkUserIsAuthenticated };
