const { Sequelize } = require("sequelize");

//Environment variables
if (process.env.NODE_ENV !== "production") {
    require("dotenv").config();
}

//Init sequelize instance
const sequelize = new Sequelize(
    process.env.DB_DATABASE,
    process.env.DB_USER,
    process.env.DB_PASSWORD,
    {
        host: process.env.DB_HOST,
        port: process.env.DB_PORT,
        dialect: "mysql",
        logging: false
    }
);

//Define all models according to their files.
const modelDefiners = [
    require("./models/employee.model"),
    require("./models/spreader.model")
];

for (const modelDefiner of modelDefiners) {
    modelDefiner(sequelize);
}

module.exports = sequelize;
