const { DataTypes } = require("sequelize");

module.exports = (sequelize) => {
    sequelize.define(
        "employee",
        {
            id: {
                field: "empID",
                type: DataTypes.INTEGER(11),
                autoIncrement: true,
                primaryKey: true
            },
            username: {
                field: "empUsername",
                type: DataTypes.STRING(100)
            },
            password: {
                field: "empPass",
                type: DataTypes.STRING(100)
            },
            lastName: {
                field: "empLastname",
                type: DataTypes.STRING(100)
            },
            firstName: {
                field: "empFirstname",
                type: DataTypes.STRING(100)
            },
            email: {
                field: "empEmail",
                type: DataTypes.STRING(200)
            },
            groupId: {
                field: "egID",
                type: DataTypes.INTEGER(11),
                allowNull: false,
                defaultValue: 0
            },
            classificationId: {
                field: "ecID",
                type: DataTypes.INTEGER(11),
                allowNull: false,
                defaultValue: 0
            },
            notificationNew: {
                field: "notSprd",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationRepairs: {
                field: "notSR",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationTrade: {
                field: "notST",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationWarranty: {
                field: "notSW",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationFieldwork: {
                field: "notSF",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationFinished: {
                field: "notFin",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            notificationOwner: {
                field: "notSO",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            },
            isActive: {
                field: "empActive",
                type: DataTypes.INTEGER(4),
                allowNull: false,
                defaultValue: 0
            }
        },
        {
            tableName: "tblEmployees",
            timestamps: false
        }
    );
};
