const { DataTypes } = require("sequelize");

module.exports = (sequelize) => {
    sequelize.define(
        "spreader",
        {
            id: {
                field: "sprdID",
                type: DataTypes.INTEGER(11),
                autoIncrement: true,
                primaryKey: true
            },
            modelNumber: {
                field: "sprdModelNo",
                type: DataTypes.STRING(20)
            },
            orderNumber: {
                field: "sprdOrderNo",
                type: DataTypes.STRING(50)
            },
            productionStatusId: {
                field: "spsID",
                type: DataTypes.INTEGER(11),
                allowNull: false,
                defaultValue: 0
            },
            assemblyStatusId: {
                field: "sasID",
                type: DataTypes.INTEGER(11),
                allowNull: false,
                defaultValue: 0
            }
        },
        {
            tableName: "tblSpreaders",
            timestamps: false
        }
    );
};
