const sequelize = require("../sequelize/index");
const Spreader = sequelize.models.spreader;

const spreaderProductionStatuses = [
    "",
    "Planned",
    "Production",
    "Hold",
    "Finished",
    "Delivered"
];
const spreaderAssemblyStatuses = [
    "Planned",
    "Pre-assembly",
    "Assembly",
    "Paint",
    "Paint assembly",
    "Pre-delivery",
    "Finished"
];

const listSpreaders = async (req, res, next) => {
    try {
        const spreaders = await Spreader.findAll({
            order: [["id", "DESC"]],
            limit: 20
        });
        res.render("spreader-list", {
            spreaders: spreaders,
            spreaderProductionStatuses: spreaderProductionStatuses,
            spreaderAssemblyStatuses: spreaderAssemblyStatuses
        });
    } catch (err) {
        next(err);
    }
};

module.exports = {
    listSpreaders
};
